<?php
/**
 * Application initializer
 *
 * Please remember that this include file is being loaded *before* the class
 * loader is loading classes from "exceptions", "interfaces" and "main"!
 *
 * You can prevent adding this application to the selector by uncommenting the
 * following line:
 *
 * if ((isset($this)) && (is_object($this)) && ($this->isClass("ApplicationSelector"))) { return; }
 *
 * isset() is required to prevent a warning and is_object() is highly required
 * when the application itself is requested in URL (hint: index.php?app=your_app)
 *
 * @author		Roland Haeder <webmaster@mxchange.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Mailer Developer Team
 * @license	GNU GPL 3.0 or any newer version
 * @link		http://www.mxchange.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Get config instance
$cfg = FrameworkConfiguration::getSelfInstance();

// Initialize output system
require($cfg->getConfigEntry('base_path') . 'inc/output.php');

// This application needs a database connection then we have to simply include
// the inc/database.php script
require($cfg->getConfigEntry('base_path') . 'inc/database.php');

// [EOF]
?>
